Bug 176554 - science/silo: Update to version 4.9
Summary: science/silo: Update to version 4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-02 14:50 UTC (History)
0 users

See Also:


Attachments
file.diff (7.91 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:09 UTC
- Update to version 4.9

Remove file:
files/patch-tests+Makefile.in
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:12:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:03:46 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-02 14:49:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-03-02 14:49:38 UTC
Author: miwi
Date: Sat Mar  2 14:49:28 2013
New Revision: 313249
URL: http://svnweb.freebsd.org/changeset/ports/313249

Log:
  - Update to 4.9
  
  PR:		176554
  Submitted by:	Ports Fury

Deleted:
  head/science/silo/files/
Modified:
  head/science/silo/Makefile
  head/science/silo/distinfo   (contents, props changed)
  head/science/silo/pkg-descr   (contents, props changed)
  head/science/silo/pkg-plist   (contents, props changed)

Modified: head/science/silo/Makefile
==============================================================================
--- head/science/silo/Makefile	Sat Mar  2 14:47:43 2013	(r313248)
+++ head/science/silo/Makefile	Sat Mar  2 14:49:28 2013	(r313249)
@@ -1,76 +1,92 @@
-# New ports collection makefile for:	silo
-# Date created:		17 jul 2008
-# Whom: 		Pedro F. Giffuni <giffunip@tutopia.com>
-#
+# Created by: Pedro F. Giffuni <giffunip@tutopia.com>
 # $FreeBSD$
-#
 
 PORTNAME=	silo
-PORTVERSION=	4.6.2
-PORTREVISION=	8
+PORTVERSION=	4.9
+DISTVERSIONSUFFIX=	-bsd
 CATEGORIES=	science
 MASTER_SITES=	https://wci.llnl.gov/codes/${PORTNAME}/silo-${PORTVERSION}/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A mesh and field I/O library and scientific database
+COMMENT=	Mesh and field I/O library and scientific database
 
-LIB_DEPENDS=	netcdf.4:${PORTSDIR}/science/netcdf
+LICENSE=	BSD
+LICENSE_FILE=	${WRKSRC}/COPYRIGHT
 
-DEPRECATED=	Depends on QT3; unmaintained
-EXPIRATION_DATE=	2013-07-01
-
-USE_AUTOTOOLS=	libtool
-GNU_CONFIGURE=	yes
-CPPFLAGS+=	${CFLAGS} ${PTHREAD_CFLAGS}
-LDFLAGS+=	${PTHREAD_LIBS}
+OPTIONS_DEFINE=	HDF5 PYTHON
+OPTIONS_RADIO=	EXCLUSIVE
+OPTIONS_RADIO_EXCLUSIVE=	FORTRAN QT4
+OPTIONS_DEFAULT=	QT4
 
 NO_LATEST_LINK=	yes
+
+USE_READLINE=	yes
 USE_GMAKE=	yes
-CONFIGURE_ARGS=	--enable-shared
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--enable-shared --disable-static
 USE_LDCONFIG=	yes
+MAKE_JOBS_SAFE=	yes
 
-USE_QT_VER=	3
+.include <bsd.port.options.mk>
 
-.ifdef WITH_PYTHON
-USE_PYTHON=	yes
-CONFIGURE_ARGS+=	--enable-pythonmodule
-PLIST_SUB+=	WITH_PYTHON=""
+.if ${PORT_OPTIONS:MFORTRAN}
+USE_FORTRAN=	yes
 .else
-PLIST_SUB+=	WITH_PYTHON="@comment "
+CONFIGURE_ARGS+=	--disable-fortran
 .endif
 
-.ifdef WITH_HDF5
-USE_FORTRAN=	yes
-CONFIGURE_ENV+=	${MAKE_ENV}
-CONFIGURE_ARGS+=	--enable-fortran
+.if ${PORT_OPTIONS:MHDF5}
+LIB_DEPENDS+=	hdf5:${PORTSDIR}/science/hdf5
+CONFIGURE_ARGS+=	--with-hdf5=${LOCALBASE}/include,${LOCALBASE}/lib
+PLIST_SUB+=	HDF5="" NOHDF5="@comment "
 .else
-CONFIGURE_ARGS+=	--disable-fortran
+PLIST_SUB+=	HDF5="@comment " NOHDF5=""
 .endif
 
-.ifdef WITH_HDF5
-LIB_DEPENDS+=	hdf5.0:${PORTSDIR}/science/hdf5
-CONFIGURE_ARGS=	--with-hdf5=${LOCALBASE}/include,${LOCALBASE}/lib
-PLIST_SUB+=	WITH_HDF5=""
-PLIST_SUB+=	WITH_NCDF="@comment "
-LIBSILO=	libsiloh5
+.if ${PORT_OPTIONS:MPYTHON}
+USE_PYTHON=	yes
+CONFIGURE_ARGS+=	--enable-pythonmodule
+PLIST_SUB+=	PYTHON=""
 .else
-PLIST_SUB+=	WITH_HDF5="@comment "
-PLIST_SUB+=	WITH_NCDF=""
-LIBSILO=	libsilo
+PLIST_SUB+=	PYTHON="@comment "
 .endif
 
-.ifdef WITH_OPTIMIZATION
-CONFIGURE_ARGS+=	--enable-optimization
+.if ${PORT_OPTIONS:MQT4}
+USE_XORG=	xext xi xmu xt
+USE_QT4=	qt3support linguist_build moc_build uic_build
+QT_NONSTANDARD=	yes
+CONFIGURE_ARGS+=	--with-Qt-dir=${QT_PREFIX}
+PLIST_SUB+=	QT4=""
+DESKTOP_ENTRIES="Silex" "Silex browser for Silo files" "" "silex" "" true
+.else
+CONFIGURE_ARGS+=	--disable-silex
+PLIST_SUB+=	QT4="@comment "
 .endif
 
-post-install:
-	@${RM} ${PREFIX}/lib/libsilo*.settings
-	@${MV} ${PREFIX}/lib/${LIBSILO}.so ${PREFIX}/lib/${LIBSILO}.so.4
-	@${LN} -sf ${PREFIX}/lib/${LIBSILO}.so.4 ${PREFIX}/lib/${LIBSILO}.so
+post-extract:
+	@${CHMOD} -R a+rX ${WRKSRC}
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|\(_Qt_dir/include\)"|\1/qt4"| ; \
+		 s|\(_Qt_dir/lib\)"|\1/qt4"| ; \
+		 s|\(/uic\)"|\1-qt4"| ; \
+		 s|\(/moc\)"|\1-qt4"| ; \
+		 s|\(/lrelease\)"|\1-qt4"| ; \
+		 s|\(/lupdate\)"|\1-qt4"|' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		'/-avoid-version/s|^|#| ; \
+		 /^install-data-am/s|:.*|:|' ${WRKSRC}/src/Makefile.in
+	@${REINPLACE_CMD} -e \
+		'/-ldl/s|^|#|' ${WRKSRC}/tests/Makefile.in
+	@${REINPLACE_CMD} -e \
+		's|@libdir@|@pythondir@|' ${WRKSRC}/tools/python/Makefile.in
+	@${REINPLACE_CMD} -e \
+		's|\(INBUILD\));|\1, me);|' ${WRKSRC}/src/hdf5_drv/silo_hdf5.c
 
-.ifdef MAINTAINER_MODE
+.if defined(MAINTAINER_MODE)
 regression-test: build
-	@cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${GMAKE} check
+	@cd ${WRKSRC}/tests && ${SETENV} ${MAKE_ENV} ${GMAKE} check
 .endif
 
 .include <bsd.port.mk>

Modified: head/science/silo/distinfo
==============================================================================
--- head/science/silo/distinfo	Sat Mar  2 14:47:43 2013	(r313248)
+++ head/science/silo/distinfo	Sat Mar  2 14:49:28 2013	(r313249)
@@ -1,2 +1,2 @@
-SHA256 (silo-4.6.2.tar.gz) = 333b7642eb3d95121d1e9e7dc1695f1164fc83583f0733c8c6d876b67c20815c
-SIZE (silo-4.6.2.tar.gz) = 11020008
+SHA256 (silo-4.9-bsd.tar.gz) = ae82c23345ab2334f9a0f89d7d05d7c99b9489800d9b153c917a40c55577c783
+SIZE (silo-4.9-bsd.tar.gz) = 11993390

Modified: head/science/silo/pkg-descr
==============================================================================
--- head/science/silo/pkg-descr	Sat Mar  2 14:47:43 2013	(r313248)
+++ head/science/silo/pkg-descr	Sat Mar  2 14:49:28 2013	(r313249)
@@ -1,24 +1,8 @@
-A mesh and field I/O library and scientific database
-
-Silo is a library for reading and writing a wide variety of scientific 
-data to binary, disk files. The files Silo produces and the data within 
-them can be easily shared and exchanged between wholly independently 
-developed applications running on disparate computing platforms. 
-
-Consequently, Silo facilitates the development of general purpose tools 
-for processing scientific data. One of the more popular tools that process 
-Silo data files is the VisIt visualization tool.
-
-Silo supports gridless (point) meshes, structured meshes, unstructured-zoo 
-and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes, 
-constructive solid geometry (CSG) meshes, piecewise-constant (e.g. 
-zone-centered) and piecewise-linear (e.g. node-centered) variables defined 
-on the node, edge, face or volume elements of meshes as well as the 
-decomposition of meshes into arbitrary subset hierarchies including 
-materials and mixing materials. In addition, Silo supports a wide variety 
-of other useful objects to address various scientific computing 
-application needs.Although the Silo library is a serial library, it has 
-some key features which enable it to be applied quite effectively and 
-scalably in parallel.
+Silo is a library for reading and writing a wide variety of scientific
+data to binary, disk files. The files Silo produces and the data within
+them can be easily shared and exchanged between wholly independently
+developed applications running on disparate computing platforms.
+Consequently, Silo facilitates the development of general purpose tools
+for processing scientific data.
 
 WWW: https://wci.llnl.gov/codes/silo/

Modified: head/science/silo/pkg-plist
==============================================================================
--- head/science/silo/pkg-plist	Sat Mar  2 14:47:43 2013	(r313248)
+++ head/science/silo/pkg-plist	Sat Mar  2 14:49:28 2013	(r313249)
@@ -1,19 +1,17 @@
 bin/browser
-bin/silodiff
-bin/silex
+%%QT4%%bin/silex
 bin/silock
+bin/silodiff
 bin/silofile
+include/ioperf.h
+include/pmpio.h
 include/silo.h
 include/silo.inc
-include/pmpio.h
-%%WITH_PYTHON%%lib/Silo.a
-%%WITH_PYTHON%%lib/Silo.la
-%%WITH_PYTHON%%lib/Silo.so
-%%WITH_NCDF%%lib/libsilo.a
-%%WITH_NCDF%%lib/libsilo.la
-%%WITH_NCDF%%lib/libsilo.so
-%%WITH_NCDF%%lib/libsilo.so.4
-%%WITH_HDF5%%lib/libsiloh5.a
-%%WITH_HDF5%%lib/libsiloh5.la
-%%WITH_HDF5%%lib/libsiloh5.so
-%%WITH_HDF5%%lib/libsiloh5.so.4
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/Silo.la
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/Silo.so
+%%NOHDF5%%lib/libsilo.la
+%%NOHDF5%%lib/libsilo.so
+%%NOHDF5%%lib/libsilo.so.0
+%%HDF5%%lib/libsiloh5.la
+%%HDF5%%lib/libsiloh5.so
+%%HDF5%%lib/libsiloh5.so.0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"